//Carousel Setup Functions:
/**/
function setupCarousel( carousel_id, carousel_type ){
	
	carousel_type = (typeof carousel_type !== 'undefined') ?  carousel_type : "horizontal";
	var current_items_in_carousel = carousel_id.children('div').length;
	
	//var num_items_1600 = numItemsUpdate( carousel_type );
	if( carousel_type == 'horizontal' ){
		var num_items_1600 = 6;
		var num_items_960 = 4;
		var num_items_767 = 3;
		var num_items_479 = 2;
		var num_items_0 = 1;
	} else if( carousel_type == 'portrait' ){
		var num_items_1600 = 8;
		var num_items_960 = 5;
		var num_items_767 = 4;
		var num_items_479 = 3;
		var num_items_0 = 2;
	} else {
		//whatshot carousel
		var num_items_1600 = 6;
		var num_items_960 = 4;
		var num_items_767 = 3;
		var num_items_479 = 2;
		var num_items_0 = 1;
	}
	
	if( current_items_in_carousel < num_items_1600){ var loop_setting = false; } else { var loop_setting = true; }
	
	carousel_id.owlCarousel({
		loop: loop_setting,
		margin: 0,
		nav: false,
		dots: false,
		responsiveClass: true,
		items: num_items_1600,
		responsive: {
			0: {
				items: num_items_0
			},
			479: {
				items: num_items_479
			},
			767: {
				items: num_items_767
			},
			960: {
				items: num_items_960
			},
			1600: {
				items: num_items_1600
			}
		},
        onResized : function(me) {
	        
	        w = $(document).width();
	        
	        if (w > 1600)
	        	num = num_items_1600;
	        else if (w > 960)
	        	num = num_items_960;
	        else if (w > 767)
	        	num = num_items_767;
	        else if (w > 479)
	        	num = num_items_479;        
	        else if (w > 0)
	        	num = num_items_0;


			if (carousel_type == "store")
			{
				if (current_items_in_carousel > num)
					$(".store_arrows").show();
				else
					$(".store_arrows").hide();				
			}

        }
	});
	// Custom Navigation Events
	carousel_id.parent().parent().find(".next_arrow").click(function(){ carousel_id.trigger('next.owl.carousel'); });
	carousel_id.parent().parent().find(".prev_arrow").click(function(){ carousel_id.trigger('prev.owl.carousel'); });

	carousel_id.current_items_in_carousel = current_items_in_carousel;
	
    w = $(document).width();
    
    if (w > 1600)
    	num = num_items_1600;
    else if (w > 960)
    	num = num_items_960;
    else if (w > 767)
    	num = num_items_767;
    else if (w > 479)
    	num = num_items_479;        
    else if (w > 0)
    	num = num_items_0;

	if (carousel_type == "store")
	{
		if (current_items_in_carousel > num)
			$(".store_arrows").show();
		else
			$(".store_arrows").hide();				
	}
	
}